Resend

Integrate your application with the Resend API

🚀 Quickstart

Connect to Resend with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Resend.

Authorize Resend

Go to Connections -> Add Test Connection -> Authorize, then enter your API key. Later, you'll let your users do the same directly from your app.

Call the Resend API

Let's make your first request to the Resend API (list domains, limit 10). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/domains?limit=10" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production API key, follow the connect guide linked below.

📚 Resend Integration Guides

Nango-maintained guides for common use cases.

Official docs: Resend API Reference

🧩 Pre-built syncs & actions for Resend

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
add-contact-to-segmentAdd a contact to a segment in Resend.Action🔗 Github
cancel-broadcastCancel a broadcast in Resend.Action🔗 Github
cancel-emailCancel email in Resend.Action🔗 Github
create-audienceCreate an audience in Resend.Action🔗 Github
create-broadcastCreate a broadcast in Resend.Action🔗 Github
create-contact-importCreate a contact import in Resend from CSV contents.Action🔗 Github
create-contact-propertyCreate a new contact property in Resend.Action🔗 Github
create-contactCreate a new contact in Resend.Action🔗 Github
create-domain-claimClaim a domain in Resend.Action🔗 Github
create-domainCreate domain in Resend.Action🔗 Github
create-segmentCreate a new segment in Resend.Action🔗 Github
create-templateCreate a template in Resend.Action🔗 Github
create-topicCreate a new topic in Resend.Action🔗 Github
create-webhookCreate a new webhook in Resend.Action🔗 Github
delete-audienceRemove an existing audience in Resend.Action🔗 Github
delete-broadcastRemove an existing broadcast that is in the draft status in Resend.Action🔗 Github
delete-contact-propertyRemove an existing contact property in Resend.Action🔗 Github
delete-contactRemove an existing contact by ID or email in Resend.Action🔗 Github
delete-domainRemove an existing domain in Resend.Action🔗 Github
delete-segmentRemove an existing segment in Resend.Action🔗 Github
delete-templateRemove an existing template in Resend.Action🔗 Github
delete-topicRemove an existing topic in Resend.Action🔗 Github
delete-webhookRemove an existing webhook in Resend.Action🔗 Github
duplicate-templateDuplicate a template in Resend.Action🔗 Github
get-audienceRetrieve a single audience in Resend.Action🔗 Github
get-broadcastRetrieve a single broadcast in Resend.Action🔗 Github
get-contact-importRetrieve a single contact import in Resend.Action🔗 Github
get-contact-propertyRetrieve a single contact property in Resend.Action🔗 Github
get-contactRetrieve a single contact by ID or email in Resend.Action🔗 Github
get-domain-claimRetrieve a domain claim in Resend.Action🔗 Github
get-domainGet domain in Resend.Action🔗 Github
get-email-attachmentRetrieve a single attachment for a sent email in Resend.Action🔗 Github
get-email-metricsRetrieve account-level email metrics in Resend.Action🔗 Github
get-emailGet email in Resend.Action🔗 Github
get-received-email-attachmentRetrieve a single attachment for a received email in Resend.Action🔗 Github
get-received-emailRetrieve a single received email in Resend.Action🔗 Github
get-segmentRetrieve a single segment in Resend.Action🔗 Github
get-templateRetrieve a single template in Resend.Action🔗 Github
get-topicRetrieve a single topic in Resend.Action🔗 Github
get-webhook-eventRetrieve a single webhook event in Resend.Action🔗 Github
get-webhookRetrieve a single webhook in Resend.Action🔗 Github
list-audiencesRetrieve a list of audiences in Resend. Deprecated by the provider in favour of Segments: prefer list-segments. The endpoint still works but will be removed in the future.Action🔗 Github
list-broadcast-clicked-linksRetrieve a broadcast's clicked links in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-broadcast-recipientsRetrieve broadcast recipients in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-broadcastsRetrieve a list of broadcasts in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-contact-importsRetrieve a list of contact imports in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-contact-propertiesRetrieve a list of contact properties in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-contact-segmentsRetrieve a list of segments for a contact in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-contact-topicsRetrieve topics for a contact in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-contactsRetrieve a list of contacts in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-domainsList domains in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-email-attachmentsRetrieve a list of attachments for a sent email in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-emailsList emails in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-received-email-attachmentsRetrieve a list of attachments for a received email in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-received-emailsRetrieve a list of received emails in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-segmentsRetrieve a list of segments in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-templatesRetrieve a list of templates in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-topicsRetrieve a list of topics in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
list-webhook-event-attemptsRetrieve a list of webhook event attempts in Resend. Returns one page; pass next_cursor as after to continue.Action🔗 Github
list-webhook-eventsRetrieve a list of webhook events in Resend. Returns one page; pass next_cursor as after to continue.Action🔗 Github
list-webhooksRetrieve a list of webhooks in Resend. Returns one page; pass next_cursor back as after, or as before when paginating backwards, to continue.Action🔗 Github
publish-templatePublish a template in Resend.Action🔗 Github
remove-contact-from-segmentRemove a contact from a segment in Resend.Action🔗 Github
replay-webhook-eventReplay a webhook event in Resend.Action🔗 Github
send-broadcastSend or schedule a broadcast in Resend.Action🔗 Github
send-email-batchTrigger up to 100 batch emails at once in Resend.Action🔗 Github
send-emailSend email in Resend.Action🔗 Github
share-emailCreate a shareable link for a sent or received email in Resend.Action🔗 Github
update-broadcastUpdate an existing broadcast in Resend.Action🔗 Github
update-contact-propertyUpdate an existing contact property in Resend.Action🔗 Github
update-contact-topicsUpdate topics for a contact in Resend.Action🔗 Github
update-contactUpdate a single contact by ID or email in Resend.Action🔗 Github
update-domainUpdate an existing domain in Resend.Action🔗 Github
update-emailUpdate a single email in Resend.Action🔗 Github
update-segmentUpdate an existing segment in Resend.Action🔗 Github
update-templateUpdate an existing template in Resend.Action🔗 Github
update-topicUpdate an existing topic in Resend.Action🔗 Github
update-webhookUpdate an existing webhook in Resend.Action🔗 Github
verify-domain-claimVerify a domain claim in Resend.Action🔗 Github
verify-domainVerify domain in Resend.Action🔗 Github

On this page